Page MenuHomePhabricator

Wikimedia Technical Conference 2019 Session: 3rd Party MediaWiki development and support
Closed, DeclinedPublic

Description

Session

  • Track: Standardization Decisions
  • Topic: 3rd Party MediaWiki development and support

Description

This session will discuss how the WMF supports 3rd party users and developers, and what, if any, changes should be made regarding that.

Questions to answer and discuss

Question: What changes should the WMF enact (if any) related to 3rd party support for MediaWiki?

Question: Can Wikimedia MediaWiki developers and 3rd party developers work better together? If so, how?

Related Issues

  • ...
  • ...

Pre-reading for all Participants

  • [add links here]

Notes document(s)

[link to notes document (gdoc and / or etherpad)]

Notes and Facilitation guidance

https://www.mediawiki.org/wiki/Wikimedia_Technical_Conference/2019/NotesandFacilitation


Session Leader(s)

  • [name]
  • [name]

Session Scribes

  • [name]
  • [name]

Session Facilitator

  • [name]

Session Style / Format

  • [what type of format will this session be?]

Session Leaders please:

  • Add more details to this task description.
  • Coordinate any pre-event discussions (here on Phab, IRC, email, hangout, etc).
  • Outline the plan for discussing this topic at the event.
  • Optionally, include what this session will not try to solve.
  • Update this task with summaries of any pre-event discussions.
  • Include ways for people not attending to be involved in discussions before the event and afterwards.

Post-event summary:

  • ...

Post-event action items:

  • ...

Event Timeline

debt created this task.Oct 4 2019, 3:40 PM
kaldari updated the task description. (Show Details)Oct 5 2019, 1:06 AM
TK-999 awarded a token.Oct 5 2019, 2:54 PM

@Nikerabbit @Darenwelsh - You both mentioned 3rd party development and support in your survey responses. Would either (or both) of you be interested in leading this session?

Addshore added a subscriber: Addshore.
Tgr awarded a token.Oct 13 2019, 9:38 PM
Tgr added a subscriber: Tgr.Oct 13 2019, 9:43 PM

There's a related (draft) movement strategy recommendation, Realize the Potential of the Third-Party Ecosystem.

My main question would be, why do we expect this session to have any kind of impact when previous similar sessions (like T206059: Wikimedia Technical Conference 2018 Session - Choosing installation methods and environments for 3rd party users) didn't? You can session all you want when the people making the resourcing decisions have already made up their minds.

We still don't have an owner identified for this session. If we can't find one by Friday, the session proposal will be closed.

Tgr added a comment.Oct 16 2019, 1:42 PM

Again, what is the point in discussing "What changes should the WMF enact (if any) related to 3rd party support for MediaWiki"? Who commits to at least considering to enact those changes?

@Tgr - Perhaps it is pointless.

FWIW, I've made an arguable suggestion in T234644#5581430 to focus T234644 on using containers for use of non-Wikimedia installations.

kaldari closed this task as Declined.Oct 18 2019, 10:08 PM